# Dread

Dread Trace is a decode for DWC3 Tracepoint Output.

## Installation

You can install the gem from rubygems.org with:

```
$ gem install dread-trace
```

Alternatively, you can clone the repository:

```
$ git clone https://github.com/felipebalbi/dread.git
$ cd dread
```

Build and install the gem:

```
$ rake install
```

## Usage

You can either pipe strings to dread's STDIN:

```
$ dread < file
```

Or you can pass a file as argument:

```
$ dread file.txt
```

This is good if you wanna build pipelines.

## Development

After checking out the repo, run `bin/setup` to install
dependencies. Then, run `rake spec` to run the tests. You can also run
`bin/console` for an interactive prompt that will allow you to
experiment.

To install this gem onto your local machine, run `bundle exec rake
install`. To release a new version, update the version number in
`version.rb`, and then run `bundle exec rake release`, which will
create a git tag for the version, push git commits and tags, and push
the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at
https://github.com/felipebalbi/dread. This project is intended to be a
safe, welcoming space for collaboration, and contributors are expected
to adhere to the [Contributor
Covenant](http://contributor-covenant.org) code of conduct.


## License

The gem is available as open source under the terms of the [MIT
License](http://opensource.org/licenses/MIT).

